%global momorel 2

%define gettext_package rhgb

Summary: Red Hat Graphical Boot
Name: rhgb
Version: 0.16.2
Release: %{momorel}m
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
Source1: system-logo.png
License: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExcludeArch: s390 s390x ppc64
BuildRequires: vte-devel
Requires: initscripts >= 7.22-1

%description
Red Hat Graphical Boot provides a clean and simple interface to the boot process

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
%__install -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/rhgb

%find_lang %{gettext_package}

%clean
rm -rf %{buildroot}

%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc doc/HOW_IT_WORKS

%{_bindir}/*
%{_datadir}/rhgb
%{_sysconfdir}/rhgb
%{_sysconfdir}/rhgb/temp

%changelog
* Tue Apr 19 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.16.2-2m)
- add system-logo.png

* Sat Mar 12 2005 Yasuo Ohgaki <yoghaki@momonga-linux.org>
- (0.16.2-1m)
- update to 0.16.2

* Tue Dec  7 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.16.1-1m)
  update to 0.16.1

* Wed May  5 2004 Toru Hoshina <t@momonga-linux.org>
- (0.11.2-1m)
- patiri ASAP.

* Wed Oct 29 2003 Jonathan Blandford <jrb@redhat.com> 0.11.1-2
- rebuild for fixed german translation

* Fri Oct 17 2003 Jonathan Blandford <jrb@redhat.com> 0.11
- only launch if explicitly listed in grub

* Fri Oct 17 2003 Jonathan Blandford <jrb@redhat.com> 0.10.6-1
- add working xkb support

* Thu Oct 16 2003 Jonathan Blandford <jrb@redhat.com> 0.10.5-2
- Don't build on s390, s390x and ppc64 as they don't have libxf86config.

* Thu Oct 16 2003 Jonathan Blandford <jrb@redhat.com> 0.10.5-1
- add xkb support

* Tue Oct  7 2003 Jonathan Blandford <jrb@redhat.com> 0.10.4.-1s
- new splash code

* Wed Jul  9 2003 Bill Nottingham <notting@redhat.com> 0.9.4-1
- fix checking for command-line arguments, again

* Mon Jul  7 2003 Bill Nottingham <notting@redhat.com> 0.9.3-1
- fix checking for command-line arguments

* Fri Oct 11 2002 Jonathan Blandford <jrb@redhat.com>
- Initial build.


